Subject: Re: [RTG-DIR] RtgDir review: draft-ietf-bess-evpn-prefix-advertisement-10

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 14 May 2018 14:21:54 +0000

Hi Geoff,

Thank you very much for your comments.
Please see in-line with [JORGE].

Thx
Jorge

-----Original Message-----
From: Geoff Huston <[email-masked]>
Date: Thursday, April 12, 2018 at 2:47 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RtgDir review: draft-ietf-bess-evpn-prefix-advertisement-10
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Thursday, April 12, 2018 at 2:47 AM

    Hello,
    
    I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
    
    Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.
    
    Document: draft-ietf-bess-evpn-prefix-advertisement-10.txt
    Reviewer: Geoff Huston
    Review Date: 12 April 2018
    IETF LC End Date: not known
    Intended Status: Standards Tract
    
    Summary: 
    
    I have some minor concerns about this document that I think should be resolved before publication.

    Comments:
    
    Major Issues:
    
    No major issues found.
    
    Minor Issues:
    
    The Introduction (section 2) should preceded the Terminology and all be placed in Section 1. Sections 2.1 and 2.2 appear to be a Problem Statement and should be the content of Section 2. Problem Statement.
[JORGE] ok, changed in the new version to be published.
     
    The Terminology appears to include a mix of conventional acronym expansion which could easily be dealt with by explicit expansion on first use. (for example. the text contains "If the term Tenant System (TS) is used..." and there is probably no need to explicitly call out this acronym in a terminology section.)
[JORGE] you are right, however there were other comments about the document being "heavy" in terms of acronyms, so we prefer to have them all in the terminology section.
    
    There is a phrase in the Introduction that seems out of place: "Once the need for a new EVPN route type is justified, ...". I suggest dropping the phrase on the assumption that Sections 2.1 and 2.2 have indeed justified this problem and the proposed solution.
[JORGE] good point, thanks. Removed.
    
    I am confused between the term "IP address length (IPL)" and "IP Prefix Length" - I an unsure if IPL is an Address family Identifier to distinguish between IPv4 and IPv6 addresses or some other term. Perhaps the authors may want to use more conventional terms when appropriate, such as “AFI" rather than “IPL” if that is really the underlying meaning of this field.
[JORGE] you're right that can be confusing. In RFC7432 (base EVPN spec) IP address length is used to distinguished between IPv4 and IPv6, and in some cases to identify a route with no IP address at all. However in this document it is not really only identify the AFI, but also the prefix length, between 0-32 for IPv4 and between 0-128 for IPv6. Based on this, I think the better term is IP Prefix Length. I changed all the occurrences of this to IP Prefix Length.
    
    In Figure 3 IP Prefix Route Type, why is an Address Family Identifier missing from the data structure?
[JORGE] whether the route carries an IPv4 or IPv6 prefix is derived from the total length. This is described in this bullet in the same section:
  "o IP Prefix and GW IP address in the route must be of the same
     family. The total route length will indicate the type of prefix
     (IPv4 or IPv6) and the type of GW IP address (IPv4 or IPv6). Note
     that the IP Prefix + the GW IP should have a length of either 64 or
     256 bits, but never 160 bits (since IPv4 and IPv6 mixed values are
     not allowed)."

    I would not call myself an expert in the area of intra-subnet connectivity in an MPLS and/or NVO-based networks, so I am not in a good position to comment on the technical quality of the specification in this draft. The material is dense, and it is unclear to me if the textual-based description of handling actions is complete. It is also unclear to me if the use cases sslected in this draft are inclusive or just represent some random selection of uses cases from a far larger pool of potential use cases.
[JORGE] well, basically the use-cases are the result of 5 years of discussions and final consensus among vendors and operators involved in this work. The use-cases are representative of the use of the route type 5, but I wouldn't exclude any other use-cases in the future. Quite a few of these use-cases are deployed in networks, now for a while... let us know if you need further clarification. Thank you very much for the review!